(import brev-separate dwim-sort)

(unless
  (equal?
    '(colorless furiously green ideas sleep)
    (sort '(colorless green ideas sleep furiously)))
  (error "(sort (quote (colorless green ideas sleep furiously)))"))

(unless
  (equal?
    '(((4 2)) (16 18 19) "all kinds")
    (sort '(((4 2)) "all kinds" (16 18 19))))
  (error "(sort (quote (((4 2)) \"all kinds\" (16 18 19))))"))

(unless
  (equal? '"   ,defhhiilnoorssTuw" (sort "oh, This is wonderful"))
  (error "(sort \"oh, This is wonderful\")"))

(unless
  (equal? '(((4 2)) (16 18 19)) (sort '((16 18 19) ((4 2)))))
  (error "(sort (quote ((16 18 19) ((4 2)))))"))

(unless
  (equal? '(((4 2)) (16 18 19)) (sort '(((4 2)) (16 18 19))))
  (error "(sort (quote (((4 2)) (16 18 19))))"))

(unless
  (equal? '("abc" "abd" "abe") (sorta "abd" "abc" "abe"))
  (error "(sorta \"abd\" \"abc\" \"abe\")"))

(unless
  (equal? (list "abc" "abd" +) (sorta "abd" "abc" +))
  (error "(sorta \"abd\" \"abc\" +)"))

(unless
  (equal? '(#t "abc" "abd") (sorta "abc" "abd" #t))
  (error "(sorta \"abc\" \"abd\" #t)"))

(unless
  (equal? '("Pizza" "potato") (sorta "potato" "Pizza"))
  (error "(sorta \"potato\" \"Pizza\")"))

(unless
  (equal? '() (smallest (list 1087 3 '() "horse")))
  (error "(smallest (list 1087 3 (quote ()) \"horse\"))"))

(unless
  (equal? '() (smallest list 1087 3 '() "horse"))
  (error "(smallest list 1087 3 (quote ()) \"horse\")"))

(unless
  (equal? '"horse" (biggest (list 1087 3 '() "horse")))
  (error "(biggest (list 1087 3 (quote ()) \"horse\"))"))

(unless
  (equal? list (biggest list 1087 3 '() "horse"))
  (error "(biggest list 1087 3 (quote ()) \"horse\")"))

(unless (equal? '#\a (smallest "magnetic")) (error "(smallest \"magnetic\")"))

(unless
  (equal?
    (list 3 1087 "horse" list)
    (sorta list 1087 3 "horse"))
  (error "(sorta list 1087 3 \"horse\")"))

(unless
    (equal?
     (list + sub1 list)
    (sorta list sub1 +))
  (error "(sorta list sub1 +)"))

(unless (equal? '(#f #t #t) (sorta #t #t #f)) (error "(sorta #t #t #f)"))

(unless (equal? '(() 1) (sort '(1 ()))) (error "(sort (quote (1 ())))"))

(unless (equal? '(() 1) (sort '(() 1))) (error "(sort (quote (() 1)))"))

(unless
  (equal? '(1 2 3 4) (sort '(1 3 2 4)))
  (error "(sort (quote (1 3 2 4)))"))

(unless (equal? '(1 3 4 5) (sorta 1 3 5 4)) (error "(sorta 1 3 5 4)"))


(unless (equal? '11345 (sort 14351)) (error "(sort 14351)"))

(unless (equal? '54311 (sort 14351 >)) (error "(sort 14351 >)"))
